### Function

# Dex buffered_input_stream_fill

unstable since: 1.2

#### Declaration [src]

    DexFuture*
    dex_buffered_input_stream_fill (
      GBufferedInputStream* stream,
      gssize count,
      int io_priority
    )

#### Description [src]

Wraps `g_buffered_input_stream_fill_async()`.

Available since: 1.2

#### Parameters

`stream`

  Type: `GBufferedInputStream`

  A `GBufferedInputStream`.

  The data is owned by the caller of the function.

`count`

  Type: `gssize`

  The number of bytes to fill, or -1.

`io_priority`

  Type: `int`

  Priority for the IO operation.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to the number of bytes read as a `gint64`, or rejects with error.

The caller of the function takes ownership of the data, and is responsible for freeing it.